none
Problème de version sur les AjaxControlToolkit RRS feed

  • Question

  • Bonjour

    Mon souci est assez complexe à expliqué, mais avec un peu de bonne volonté, je pense y arriver.

    J'ai développé un système de site qui marche avec une seule et unique page ASPX, des MasterPage et des ASCX.
    Dans mes ASCX j'ai mis des contrôles Ajax et un WebService pour certain de ces contrôles.

    Puis j'ai voulu faire une peu de SilverLigth dans tous ça. Mon système fonctionnait trés bien. Pour faire du SilverLitgh j'ai été obligé de mettre certaines choses  à jour et je crois que j'ai pas tout bien mis, ou qu'il y a un détai qui m'échappe totalent et me rend un peu chèvre.

    Maintenant, à l'ouverture du site, donc dés le départ lorsque j'apelle la page par défaut j'ai ce message :

    Une référence indirecte est établie à l'assembly System.Web.Extensions version 3.5.0.0, qui contient 'AjaxControlToolkit.AutoCompleteExtender'. Ce projet fait référence à une version antérieure de System.Web.Extensions version 1.0.61025.0. Pour utiliser 'AjaxControlToolkit.AutoCompleteExtender', vous devez remplacer la référence à System.Web.Extensions par la version 3.5.0.0 ou ultérieure.

    Le contrôle en question est géré par mon WebService, mais ne fais pas partie des contrôle appeller sur la page par défaut. J'ai fait une analyse par le mode Debug et tout se passe bien. Ma page comporte l'évènement Page_PreInit et l'évènement Page_LoadComplete et le mode debug passe par tout ça, sans souci. C'est à la fin du LoadComplete qu'il me rend ce message d'erreur.

    Pouvez vous m'aider ?
    mardi 28 avril 2009 07:11

Toutes les réponses

  • Bonjour,
    Avez-vous fait une recherche sur tout vos fichier pour "System.Web.Extensions" ? Vous avez peut-être une référence dans votre fichier de configuration qui n'est pas correcte.
    Si cela ne donne rien de probant, essayé dans la fenêtre Find in Files de sélectionner le répertoire racine pour la recherche et non tous les fichiers de la solution. Cela permettra de rechercher aussi dans le contenu des fichiers solution et projet.

    En espérant avoir pu vous aider.

    Guillaume
    lundi 4 mai 2009 15:14